Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PrintDeviceSettingData Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | PrintDeviceSettingData (device_width, device_height, device_margin, orientation, resolution, copies)
| Constructor, with parameters. More...
def | Set (device_width, device_height, device_margin, orientation, resolution, copies)
| Set value. More...

## Static Public Attributes
| copies = _fsdk.PrintDeviceSettingData_copies
| The number of copies to be printed. This parameter only has an effect on PostScrip files.
| device_height = _fsdk.PrintDeviceSettingData_device_height
| The height of the device in pixels.
| device_margin = _fsdk.PrintDeviceSettingData_device_margin
| The page margins of the device. More...
| device_width = _fsdk.PrintDeviceSettingData_device_width
| The width of the device in pixels.
| e_Landscape = _fsdk.PrintDeviceSettingData_e_Landscape
| Landscape orientation for printing.
| e_Portrait = _fsdk.PrintDeviceSettingData_e_Portrait
| Portrait orientation for printing.
| orientation = _fsdk.PrintDeviceSettingData_orientation
| Orientation flag. Please refer to values starting from and this should be one of these values.
| resolution = _fsdk.PrintDeviceSettingData_resolution
| The resolution of the device in pixels per inch.

## Detailed Description

This class represents setting data for print device. This would be used in class Renderer .

See also
  Renderer

## Constructor & Destructor Documentation

## ◆ PrintDeviceSettingData()

def FoxitPDFSDKPython3.PrintDeviceSettingData.PrintDeviceSettingData | ( |  | device_width,
|  |  | device_height,
|  |  | device_margin,
|  |  | orientation,
|  |  | resolution,
|  |  | copies
| ) |  |

Constructor, with parameters.

Constructor, with another print device setting data object.

Constructor and set the default value.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values. resolution The resolution of the device in pixels per inch. copies The number of copies to be printed. This parameter only has an effect on PostScrip files. By default, the pixel value of an A4 paper is set to 300 dpi (dots per inch). settings Another print device settings object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.PrintDeviceSettingData.Set | ( |  | device_width,
|  |  | device_height,
|  |  | device_margin,
|  |  | orientation,
|  |  | resolution,
|  |  | copies
| ) |  |

Set value.

Parameters

  [in] | device_width | The width of the device in pixels.
  [in] | device_height | The height of the device in pixels.
  [in] | device_margin | The page margins of the device. it does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device.
  [in] | orientation | Orientation flag. Please refer to values starting from and this should be one of these values. resolution The resolution of the device in pixels per inch. copies The number of copies to be printed. This parameter only has an effect on PostScrip files. None.

## Member Data Documentation

## ◆ device_margin

FoxitPDFSDKPython3.PrintDeviceSettingData.device_margin = _fsdk.PrintDeviceSettingData_device_margin
| static

The page margins of the device.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of the device. The value should not be negative.